summaryrefslogtreecommitdiff
path: root/bin/bump_crossdev
diff options
context:
space:
mode:
Diffstat (limited to 'bin/bump_crossdev')
-rw-r--r--bin/bump_crossdev20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/bump_crossdev b/bin/bump_crossdev
new file mode 100644
index 0000000..668b817
--- /dev/null
+++ b/bin/bump_crossdev
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+ARCHES=(
+ armv7a-hardfloat-linux-gnueabi
+ armv7a-unknown-linux-gnueabi
+ armv6j-hardfloat-linux-gnueabi
+)
+
+GCC_VER="--g ~4.7.3"
+LIBC_VER="--l ~2.17"
+K_VER="--k ~3.7"
+BINUTILS_VER="--b =2.23*"
+
+for a in "${ARCHES[@]}"; do
+ # USE="-fortran" or glibc will fail to compile
+ USE="-fortran -gtk" crossdev -t "${a}" \
+ -oS "/usr/local/portage" \
+ -oO "/usr/local/portage" \
+ ${GCC_VER} ${LIBC_VER} ${K_VER} ${BINUTILS_VER} || exit 1
+done